com.hazelcast.config

## Class MultiMapConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.MultiMapConfig
  - - com.hazelcast.config.MultiMapConfigReadOnly

- All Implemented Interfaces:
    NamedConfig, DataSerializable, IdentifiedDataSerializable, com.hazelcast.nio.serialization.impl.Versioned, SplitBrainMergeTypeProvider

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class MultiMapConfigReadOnly
      extends MultiMapConfig

  Contains the configuration for an `MultiMap`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hazelcast.config.MultiMapConfig

      `MultiMapConfig.ValueCollectionType`

  - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.MultiMapConfig

      `DEFAULT_ASYNC_BACKUP_COUNT, DEFAULT_SYNC_BACKUP_COUNT, DEFAULT_VALUE_COLLECTION_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiMapConfigReadOnly(MultiMapConfig defConfig)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiMapConfig` | `addEntryListenerConfig(EntryListenerConfig listenerConfig)` Deprecated. Adds an entry listener to this MultiMap (listens for when entries are added or removed).
    `List<EntryListenerConfig>` | `getEntryListenerConfigs()` Deprecated. Gets the list of entry listeners (listens for when entries are added or removed) for this MultiMap.
    `MultiMapConfig` | `setAsyncBackupCount(int asyncBackupCount)` Deprecated. Sets the number of asynchronous backups.
    `MultiMapConfig` | `setBackupCount(int backupCount)` Deprecated. Sets the number of synchronous backups.
    `MultiMapConfig` | `setBinary(boolean binary)` Deprecated. Enables or disables binary (serialized) form for this MultiMap.
    `MultiMapConfig` | `setEntryListenerConfigs(List<EntryListenerConfig> listenerConfigs)` Deprecated. Sets the list of entry listeners (listens for when entries are added or removed) for this MultiMap.
    `MultiMapConfig` | `setMergePolicyConfig(MergePolicyConfig mergePolicyConfig)` Deprecated. Sets the `MergePolicyConfig` for this MultiMap.
    `MultiMapConfig` | `setName(String name)` Deprecated. Sets the name of this MultiMap.
    `MultiMapConfig` | `setQuorumName(String quorumName)` Deprecated. Sets the quorum name for operations.
    `MultiMapConfig` | `setStatisticsEnabled(boolean statisticsEnabled)` Deprecated. Enables or disables statistics for this MultiMap.
    `MultiMapConfig` | `setSyncBackupCount(int syncBackupCount)` Deprecated.
    `MultiMapConfig` | `setValueCollectionType(MultiMapConfig.ValueCollectionType valueCollectionType)` Deprecated. Sets the collection type for the values of this MultiMap.
    `MultiMapConfig` | `setValueCollectionType(String valueCollectionType)` Deprecated. Sets the collection type for the values of this MultiMap.

    - ### Methods inherited from class com.hazelcast.config.MultiMapConfig

      `equals, getAsReadOnly, getAsyncBackupCount, getBackupCount, getFactoryId, getId, getMergePolicyConfig, getName, getProvidedMergeTypes, getQuorumName, getSyncBackupCount, getTotalBackupCount, getValueCollectionType, hashCode, isBinary, isStatisticsEnabled, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiMapConfigReadOnly

          public MultiMapConfigReadOnly(MultiMapConfig defConfig)

      Deprecated.

  - ### Method Detail

    - #### getEntryListenerConfigs

          public List<EntryListenerConfig> getEntryListenerConfigs()

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Gets the list of entry listeners (listens for when entries are added or removed) for this MultiMap.
      Overrides:
        `getEntryListenerConfigs` in class `MultiMapConfig`
      Returns:
        the list of entry listeners for this MultiMap

    - #### setName

          public MultiMapConfig setName(String name)

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Sets the name of this MultiMap.
      Specified by:
        `setName` in interface `NamedConfig`
      Overrides:
        `setName` in class `MultiMapConfig`
      Parameters:
        `name` - the name to set for this MultiMap
      Returns:
        this updated MultiMap configuration

    - #### setValueCollectionType

          public MultiMapConfig setValueCollectionType(String valueCollectionType)

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Sets the collection type for the values of this MultiMap.
      Overrides:
        `setValueCollectionType` in class `MultiMapConfig`
      Parameters:
        `valueCollectionType` - the collection type for the values of this MultiMap (SET or LIST)
      Returns:
        this updated MultiMap configuration

    - #### setValueCollectionType

          public MultiMapConfig setValueCollectionType(MultiMapConfig.ValueCollectionType valueCollectionType)

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Sets the collection type for the values of this MultiMap.
      Overrides:
        `setValueCollectionType` in class `MultiMapConfig`
      Parameters:
        `valueCollectionType` - the collection type for the values of this MultiMap (SET or LIST)
      Returns:
        this updated MultiMap configuration

    - #### addEntryListenerConfig

          public MultiMapConfig addEntryListenerConfig(EntryListenerConfig listenerConfig)

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Adds an entry listener to this MultiMap (listens for when entries are added or removed).
      Overrides:
        `addEntryListenerConfig` in class `MultiMapConfig`
      Parameters:
        `listenerConfig` - the entry listener to add to this MultiMap

    - #### setEntryListenerConfigs

          public MultiMapConfig setEntryListenerConfigs(List<EntryListenerConfig> listenerConfigs)

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Sets the list of entry listeners (listens for when entries are added or removed) for this MultiMap.
      Overrides:
        `setEntryListenerConfigs` in class `MultiMapConfig`
      Parameters:
        `listenerConfigs` - the list of entry listeners for this MultiMap
      Returns:
        this updated MultiMap configuration

    - #### setBinary

          public MultiMapConfig setBinary(boolean binary)

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Enables or disables binary (serialized) form for this MultiMap.
      Overrides:
        `setBinary` in class `MultiMapConfig`
      Parameters:
        `binary` - `true` to set the MultiMap to binary (serialized) form, `false` otherwise
      Returns:
        this updated MultiMap configuration

    - #### setSyncBackupCount

          public MultiMapConfig setSyncBackupCount(int syncBackupCount)

      Deprecated.
      Overrides:
        `setSyncBackupCount` in class `MultiMapConfig`

    - #### setBackupCount

          public MultiMapConfig setBackupCount(int backupCount)

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Sets the number of synchronous backups.
      Overrides:
        `setBackupCount` in class `MultiMapConfig`
      Parameters:
        `backupCount` - the number of synchronous backups to set for this MultiMap
      Returns:
        the current MultiMapConfig
      See Also:
        `MultiMapConfig.setAsyncBackupCount(int)`

    - #### setAsyncBackupCount

          public MultiMapConfig setAsyncBackupCount(int asyncBackupCount)

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Sets the number of asynchronous backups. 0 means no backups
      Overrides:
        `setAsyncBackupCount` in class `MultiMapConfig`
      Parameters:
        `asyncBackupCount` - the number of asynchronous synchronous backups to set
      Returns:
        the updated MultiMapConfig
      See Also:
        `MultiMapConfig.setBackupCount(int)`, `MultiMapConfig.getAsyncBackupCount()`

    - #### setStatisticsEnabled

          public MultiMapConfig setStatisticsEnabled(boolean statisticsEnabled)

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Enables or disables statistics for this MultiMap.
      Overrides:
        `setStatisticsEnabled` in class `MultiMapConfig`
      Parameters:
        `statisticsEnabled` - `true` to enable statistics for this MultiMap, `false` to disable
      Returns:
        the updated MultiMapConfig

    - #### setQuorumName

          public MultiMapConfig setQuorumName(String quorumName)

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Sets the quorum name for operations.
      Overrides:
        `setQuorumName` in class `MultiMapConfig`
      Parameters:
        `quorumName` - the quorum name
      Returns:
        the updated configuration

    - #### setMergePolicyConfig

          public MultiMapConfig setMergePolicyConfig(MergePolicyConfig mergePolicyConfig)

      Deprecated.
      Description copied from class: `MultiMapConfig`
      Sets the `MergePolicyConfig` for this MultiMap.
      Overrides:
        `setMergePolicyConfig` in class `MultiMapConfig`
      Returns:
        the updated MultiMapConfig

Copyright © 2020. All rights reserved.